Skip to content

Stream Messages

client.beta.chat.stream(stringsessionID, ChatStreamParams { index_ids, prompt, organization_id, project_id } params, RequestOptionsoptions?): ChatStreamResponse
POST/api/v1/chat/{session_id}/messages/stream

Stream agent events for a chat turn as Server-Sent Events.

ParametersExpand Collapse
sessionID: string
params: ChatStreamParams { index_ids, prompt, organization_id, project_id }
index_ids: Array<string>

Body param: Indexes to retrieve data from.

prompt: string

Body param: User message for this chat turn.

maxLength1000
organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid
ReturnsExpand Collapse
ChatStreamResponse = unknown

Stream Messages

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const response = await client.beta.chat.stream('session_id', {
  index_ids: ['idx-abc123', 'idx-def456'],
  prompt: 'What were the main findings in Q3?',
});

console.log(response);
{}
Returns Examples
{}